Bug 1130079 - vim-command-t: tests fail on BE
Summary: vim-command-t: tests fail on BE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim-command-t
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-08-14 09:49 UTC by Jakub Čajka
Modified: 2014-08-27 01:38 UTC (History)
1 user (show)

Fixed In Version: vim-command-t-1.10-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 01:38:12 UTC


Attachments (Terms of Use)

Description Jakub Čajka 2014-08-14 09:49:24 UTC
Package build fails due to test failure :

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.yl8ggj
+ umask 022
+ cd /builddir/build/BUILD
+ cd vim-command-t-1.10
+ sed -i '/Bundler/,/^end$/ s/^/#/' spec/spec_helper.rb
+ rspec -Iruby spec
DEPRECATION: RSpec::Core::Configuration#backtrace_clean_patterns is deprecated. Use RSpec::Core::Configuration#backtrace_exclusion_patterns instead. Called from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'.
...................................................................................................F
Failures:
  1) CommandT::Watchman::Utils.dump generates a correct serialization
     Failure/Error: expect(expected).to include(described_class.dump(query))
       expected ["\x00\x01\x06I\x00\x00\x00\x00\x00\x00\x00\x00\x03\x03\x02\x03\x05query\x02\x03\n/some/path\x01\x03\x02\x02\x03\nexpression\x00\x03\x02\x02\x03\x04type\x02\x03\x01f\x02\x03\x06fields\x00\x03\x01\x02\x03\x04name", "\x00\x01\x06I\x00\x00\x00\x00\x00\x00\x00\x00\x03\x03\x02\x03\x05query\x02\x03\n/some/path\x01\x03\x02\x02\x03\x06fields\x00\x03\x01\x02\x03\x04name\x02\x03\nexpression\x00\x03\x02\x02\x03\x04type\x02\x03\x01f"] to include "\x00\x01\x06\x00\x00\x00\x00\x00\x00\x00I\x00\x03\x03\x02\x03\x05query\x02\x03\n/some/path\x01\x03\x02\x02\x03\nexpression\x00\x03\x02\x02\x03\x04type\x02\x03\x01f\x02\x03\x06fields\x00\x03\x01\x02\x03\x04name"
       Diff:
       @@ -1,2 +1,3 @@
       -��������I�query\n/some/path\nexpression�typeffields�name
       +�I��������query\n/some/path\nexpression�typeffields�name
       +�I��������query\n/some/pathfields�name\nexpression�typef
     # ./spec/command-t/watchman/utils_spec.rb:396:in `block (3 levels) in <top (required)>'
Finished in 0.11573 seconds
100 examples, 1 failure
Failed examples:
rspec ./spec/command-t/watchman/utils_spec.rb:380 # CommandT::Watchman::Utils.dump generates a correct serialization
error: Bad exit status from /var/tmp/rpm-tmp.yl8ggj (%check)

This error seems to be related to big endianness of builder(ppc(64), s390(x)) as build on ppc64le(little endian) is successful.

Comment 1 Jakub Čajka 2014-08-14 09:53:54 UTC
Reported upstream here: https://github.com/wincent/Command-T/issues/101

Comment 2 Fedora Update System 2014-08-15 09:43:20 UTC
vim-command-t-1.10-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-9342/vim-command-t-1.10-3.fc20

Comment 3 Fedora Update System 2014-08-16 00:26:49 UTC
Package vim-command-t-1.10-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-command-t-1.10-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9342/vim-command-t-1.10-3.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-27 01:38:12 UTC
vim-command-t-1.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.